aboutsummaryrefslogtreecommitdiff
path: root/test_all.sh
diff options
context:
space:
mode:
authorTeddy <ted.sybil@gmail.com>2014-04-05 15:19:36 +0800
committerTeddy <ted.sybil@gmail.com>2014-04-05 15:19:36 +0800
commitd30f1626370880275c0e046e31c2d9942ab2fd3a (patch)
tree42cc1a2b5a0d42cbcb0ebfdd6158172b0871752a /test_all.sh
parentbbb371767a3391c0b1c2222b9a9c87b4dbd36ef1 (diff)
add testcases
Diffstat (limited to 'test_all.sh')
-rwxr-xr-xtest_all.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/test_all.sh b/test_all.sh
new file mode 100755
index 0000000..28c26d4
--- /dev/null
+++ b/test_all.sh
@@ -0,0 +1,11 @@
+#! /bin/bash
+for file in test/*
+do
+ gcc $file -o /dev/null &> /dev/null
+ gcc_ret="$?"
+ ./cibic $file &> /dev/null
+ if [ $? -ne $gcc_ret ]; then
+ echo "Failed on $file"
+ break
+ fi
+done